<template>
    <div class="leftMnu">
        <div class="menuBox">
            <chart-vue :childData="childData"></chart-vue>
        </div>
        <div class="menuBox">
            <chart-vue :childData="childData1"></chart-vue>
        </div>
        <div class="menuBox">
            <chart-vue :childData="childData2"></chart-vue>
        </div>
    </div>
</template>

<script>
import * as echarts from 'echarts';
import chartVue from './list/chart.vue';
import data from './data.js';
export default {
    components: {
        chartVue
    },
    props: {
        leftChartData: {
            type: Object,
            required: true
        },
    },
    data() {
        return {
            childData: null,
            childData1: null,
            childData2: null,
        }
    },
    watch: {

    },
    mounted() {
        this.initEchart();
    },
    methods: {
        initEchart() {
            this.initEchart1();
            this.initEchart2();
            this.initEchart3();
        },
        initEchart1() {
            var chart1= data[3];
            chart1.id = "myChart01";
            this.childData =chart1
        },
        initEchart2() {
            var chart2= data[4];
            chart2.id = "myChart02";
            this.childData1 = chart2
        }, initEchart3() {
            var chart3= data[5];
            chart3.id = "myChart03";
            this.childData2 = chart3
        }
    }
}
</script>

<style lang="scss" scoped>
.leftMnu {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .menuBox {
        width: 100%;
        height: 33%;
        background: url(~@/assets/images/Screen/chartbg.png);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        display: flex;
        flex-direction: column;

        .aside-title {
            box-sizing: border-box;
            padding-left: 30px;

            font-size: 15px;
            font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
            color: #fff;
            width: 100%;
            height: 45px;
            line-height: 45px;
            // background: url(~@/assets/images/Screen/asideTitleBg.png);
            background-size: 100% 100%;
            background-repeat: no-repeat;
        }

        .echartBox {
            flex: 1;
            padding: 5px;
            position: relative;

            .chartBox {
                width: calc(100% - 10px);
                height: calc(100% - 10px);

                position: absolute;
            }
        }
    }
}
</style>